
From: Matt Tolentino <metolent@snoqualmie.dp.intel.com>

This patch pulls out all remaining direct references to contig_page_data
from arch/x86-64, thus saving an ifdef in one case.  

Signed-off-by: Matt Tolentino <matthew.e.tolentino@intel.com>
Signed-off-by: Dave Hansen <haveblue@us.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/x86_64/kernel/aperture.c |    4 ----
 arch/x86_64/kernel/setup.c    |    2 +-
 2 files changed, 1 insertion(+), 5 deletions(-)

diff -puN arch/x86_64/kernel/aperture.c~remove-direct-ref-to-contig_page_data-for-x86-64 arch/x86_64/kernel/aperture.c
--- 25/arch/x86_64/kernel/aperture.c~remove-direct-ref-to-contig_page_data-for-x86-64	2005-06-18 02:48:22.000000000 -0700
+++ 25-akpm/arch/x86_64/kernel/aperture.c	2005-06-18 02:48:22.000000000 -0700
@@ -40,11 +40,7 @@ int fix_aperture __initdata = 1;
 
 static u32 __init allocate_aperture(void) 
 {
-#ifdef CONFIG_DISCONTIGMEM
 	pg_data_t *nd0 = NODE_DATA(0);
-#else
-	pg_data_t *nd0 = &contig_page_data;
-#endif	
 	u32 aper_size;
 	void *p; 
 
diff -puN arch/x86_64/kernel/setup.c~remove-direct-ref-to-contig_page_data-for-x86-64 arch/x86_64/kernel/setup.c
--- 25/arch/x86_64/kernel/setup.c~remove-direct-ref-to-contig_page_data-for-x86-64	2005-06-18 02:48:22.000000000 -0700
+++ 25-akpm/arch/x86_64/kernel/setup.c	2005-06-18 02:48:22.000000000 -0700
@@ -386,7 +386,7 @@ static void __init contig_initmem_init(v
         if (bootmap == -1L) 
                 panic("Cannot find bootmem map of size %ld\n",bootmap_size);
         bootmap_size = init_bootmem(bootmap >> PAGE_SHIFT, end_pfn);
-        e820_bootmem_free(&contig_page_data, 0, end_pfn << PAGE_SHIFT); 
+        e820_bootmem_free(NODE_DATA(0), 0, end_pfn << PAGE_SHIFT);
         reserve_bootmem(bootmap, bootmap_size);
 } 
 #endif
_
